# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions | Protected Attributes

# vl::StandardLog Class Reference

The StandardLog class outputs the log messages on the stdout device and optionally also on a specified file. More...

`#include <Log.hpp>`

Inheritance diagram for vl::StandardLog:

List of all members.

## Public Member Functions

void | setLogFile (const String &file)
const String & | logFile () const

## Protected Member Functions

virtual void | printImplementation (ELogLevel level, const String &message)

## Protected Attributes

String | mLogFile
std::ofstream | mFile

## Detailed Description

The StandardLog class outputs the log messages on the stdout device and optionally also on a specified file.

Definition at line 231 of file Log.hpp.

## Member Function Documentation

void StandardLog::setLogFile | ( | const String & | file ) |

Definition at line 267 of file Log.cpp.

References vl::String::empty(), mFile, mLogFile, and vl::String::toStdString().

const String& vl::StandardLog::logFile | ( | ) | const`[inline]`

Definition at line 237 of file Log.hpp.

void StandardLog::printImplementation | ( | ELogLevel | level,
|  | const String & | message
| ) |  | `[protected, virtual]`

Implements vl::Log.

Definition at line 278 of file Log.cpp.

References vl::String::empty(), mFile, and vl::String::toStdString().

## Member Data Documentation

String vl::StandardLog::mLogFile`[protected]`

Definition at line 241 of file Log.hpp.

Referenced by setLogFile().

std::ofstream vl::StandardLog::mFile`[protected]`

Definition at line 242 of file Log.hpp.

Referenced by printImplementation(), and setLogFile().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Log.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Log.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:07.
Permission is granted to use this page to write and publish articles regarding Visualization Library.